Skip to main content
GET
/
v1
/
resources
/
{resource-id}
Get detailed resource information by ID
curl --request GET \
  --url https://api.freepik.com/v1/resources/{resource-id} \
  --header 'x-freepik-api-key: <api-key>'
{
  "data": {
    "id": 770012,
    "name": "Abstract of white lines background generative ai",
    "slug": "abstract-white-lines-background-generative-ai",
    "type": "photo",
    "is_ai_generated": false,
    "premium": true,
    "new": true,
    "url": "https://www.freepik.com/premium-photo/abstract-white-lines-background-generative-ai_39178780.htm",
    "preview": {
      "url": "https://www.freepik.com/premium-photo/abstract-white-lines-background-generative-ai_39178780.htm",
      "width": 300,
      "height": 200
    },
    "has_prompt": false,
    "author": {
      "id": 744082,
      "name": "flaticon",
      "avatar": "https://avatar.cdnpk.net/744082.jpg",
      "slug": "flaticon",
      "assets": 100
    },
    "license": "https://www.freepik.com/profile/license/pdf/4350594",
    "created": "2020-01-01T00:00:00.000Z",
    "dimensions": {
      "width": 1000,
      "height": 1000
    },
    "download_size": 1024,
    "available_formats": {
      "jpg": {
        "total": 1,
        "items": [
          {
            "size": 100
          }
        ]
      }
    },
    "related_resources": {
      "suggested": [
        {
          "id": 770011,
          "name": "Sports bike",
          "slug": "sports-bike",
          "type": "vector",
          "is_ai_generated": true,
          "premium": false,
          "new": true,
          "url": "https://www.freepik.com/free-vector/sports-bike_770011.htm",
          "preview": {
            "url": "https://www.freepik.com/free-vector/sports-bike_770011.jpg",
            "width": 300,
            "height": 200
          },
          "has_prompt": true,
          "author": {
            "id": 744082,
            "name": "flaticon",
            "avatar": "https://avatar.cdnpk.net/744082.jpg",
            "slug": "flaticon",
            "assets": 100
          }
        }
      ],
      "same_author": [
        {
          "id": 770011,
          "name": "Sports bike",
          "slug": "sports-bike",
          "type": "vector",
          "is_ai_generated": true,
          "premium": false,
          "new": true,
          "url": "https://www.freepik.com/free-vector/sports-bike_770011.htm",
          "preview": {
            "url": "https://www.freepik.com/free-vector/sports-bike_770011.jpg",
            "width": 300,
            "height": 200
          },
          "has_prompt": true,
          "author": {
            "id": 744082,
            "name": "flaticon",
            "avatar": "https://avatar.cdnpk.net/744082.jpg",
            "slug": "flaticon",
            "assets": 100
          }
        }
      ],
      "same_collection": {
        "url": "https://www.freepik.com/collection/shining/2552",
        "items": [
          {
            "id": 770011,
            "name": "Sports bike",
            "slug": "sports-bike",
            "type": "vector",
            "is_ai_generated": true,
            "premium": false,
            "new": true,
            "url": "https://www.freepik.com/free-vector/sports-bike_770011.htm",
            "preview": {
              "url": "https://www.freepik.com/free-vector/sports-bike_770011.jpg",
              "width": 300,
              "height": 200
            },
            "has_prompt": true,
            "author": {
              "id": 744082,
              "name": "flaticon",
              "avatar": "https://avatar.cdnpk.net/744082.jpg",
              "slug": "flaticon",
              "assets": 100
            }
          }
        ]
      },
      "same_series": {
        "url": "https://www.freepik.com/serie/32689488",
        "items": [
          {
            "id": 770011,
            "name": "Sports bike",
            "slug": "sports-bike",
            "type": "vector",
            "is_ai_generated": true,
            "premium": false,
            "new": true,
            "url": "https://www.freepik.com/free-vector/sports-bike_770011.htm",
            "preview": {
              "url": "https://www.freepik.com/free-vector/sports-bike_770011.jpg",
              "width": 300,
              "height": 200
            },
            "has_prompt": true,
            "author": {
              "id": 744082,
              "name": "flaticon",
              "avatar": "https://avatar.cdnpk.net/744082.jpg",
              "slug": "flaticon",
              "assets": 100
            }
          }
        ]
      }
    },
    "related_tags": [
      {
        "name": "coloring pages",
        "slug": "coloring-pages",
        "url": "https://www.freepik.com/free-photos-vectors/coloring-pages"
      },
      {
        "slug": "kawaii-coloring-page",
        "name": "kawaii coloring page"
      },
      {
        "slug": "cute-kawaii",
        "name": "cute kawaii"
      },
      {
        "slug": "adorable",
        "name": "adorable"
      },
      {
        "slug": "chibi",
        "name": "chibi"
      },
      {
        "slug": "line-art",
        "name": "line art"
      }
    ]
  }
}

Authorizations

x-freepik-api-key
string
header
required

Your Freepik API key. Required for authentication. Learn how to obtain an API key

Headers

Accept-Language
string

Specifies the search query language using the ISO 639-1 (2-letter language code) and the ISO 3166-1 (2-letter country code) for language variants. The API will use "en-US" as a default language for processing if a code is not provided, or does not exist.

Path Parameters

resource-id
string
required

Photo, video or PSD resource ID

Response

OK Response

data
object
required

Vector details.

Example:
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "photo",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm",
"created": "2023-03-07T23:05:26.000Z",
"available_formats": {
"psd": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"jpg": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"zip": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"fonts": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"svg": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"ai": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"png": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"eps": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"resources": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"3d-render": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
},
"atn": {
"total": 1,
"items": [
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
},
{
"size": 100,
"colorspace": "RGB",
"name": "image.jpg",
"id": 1
}
]
}
},
"license": "https://www.freepik.com/profile/license/pdf/4350594",
"related_resources": {
"suggested": [
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
},
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
}
],
"same_author": [
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
},
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
}
],
"same_collection": {
"items": [
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
},
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
}
],
"url": "https://www.freepik.com/collection/shining"
},
"same_series": {
"items": [
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
},
{
"preview": {
"width": 300,
"url": "https://www.freepik.com/free-ai-image/surreal-landscape_41357833.htm",
"height": 500
},
"new": true,
"premium": true,
"is_ai_generated": true,
"author": {
"assets": 0,
"name": "John Doe",
"id": 2147483647,
"avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg",
"slug": "merry-christmas"
},
"name": "White t-shirt with copy space on gray background",
"id": 15667327,
"type": "vector",
"has_prompt": true,
"slug": "merry-christmas",
"url": "https://www.freepik.com/free-photo/white-t-shirts-with-copy-space-gray-background_15667327.htm"
}
],
"url": "https://www.freepik.com/serie/32689488"
}
},
"download_size": 1024,
"related_tags": [
{
"name": "Merry Christmas",
"slug": "merry-christmas",
"url": "https://www.freepik.com/dog"
},
{
"name": "Merry Christmas",
"slug": "merry-christmas",
"url": "https://www.freepik.com/dog"
}
],
"dimensions": { "width": 2000, "height": 3000 }
}